XpCancelPage(3Xp)

NAME
XpCancelPage - Cancels a print page.

SYNOPSIS
      cc [ flag... ] file... -lXp [ library... ]
      #include <X11/extensions/Print.h>

void XpCancelPage ( display, discard )
      Display *display;
      Bool discard;

ARGUMENTS

display
    Specifies a pointer to the Display structure; returned from XOpenDisplay.

discard
    When TRUE, specifies that XPPrintNotify events with a detail of XPEndPageNotify should be discarded.

DESCRIPTION

XpCancelPage cancels an in-progress print page. If the job was started with output_mode XPGetData then the data stream to XpGetDocumentData is interrupted; no further data for the current page is generated but data for subsequent pages can be generated. For many page description languages, such arbitrary interruptions may invalidate the output.

If the job was started with output_mode XPSpool then depending on the driver and spooler implementation the entire page may be canceled or a partial page may be generated.

If discard is True all XPPrintNotify events with a detail field of XPEndPageNotify are discarded before XpCancelPage returns.

For clients selecting XPPrintMask (see XpSelectInput), the event XPPrintNotify is generated with its detail field set to XPEndPageNotify when the X Print Server has completed XpCancelPage.

DIAGNOSTICS

XPBadSequence
    The function was not called in the proper order with respect to the other X Print Service Extension calls; for example, XpStartPage was called before XpStartJob or was called for a type XPDocRaw document.

SEE ALSO
XpGetDocumentData(3Xp), XpSelectInput(3Xp), XpStartJob(3Xp), XpStartPage(3Xp)